For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETList Bulk Syncs
      • POSTCreate Bulk Sync
      • GETGet Bulk Sync
      • PUTUpdate Bulk Sync
      • DELDelete Bulk Sync
      • POSTActivate Bulk Sync
      • POSTCancel Bulk Sync
      • POSTStart Bulk Sync Execution
      • GETGet Bulk Sync Status
      • GETGet Bulk Source
      • GETGet Bulk Destination
Logo
Log inBook a demo
API ReferenceBulk Sync

Get Bulk Destination

GET
https://app.polytomic.com/api/connections/:id/bulksync/target
GET
/api/connections/:id/bulksync/target
$curl https://app.polytomic.com/api/connections/248df4b7-aa70-47b8-a036-33ac447e668d/bulksync/target \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -u "<username>:<password>"
1{
2 "data": {
3 "configuration": {
4 "advanced": {
5 "items": {
6 "truncate_existing": {
7 "default": "",
8 "items": null,
9 "required": false
10 }
11 }
12 },
13 "mirror_schemas": {
14 "default": "",
15 "items": null,
16 "required": false
17 },
18 "schema": {
19 "default": "",
20 "items": null,
21 "required": false
22 }
23 },
24 "modes": [
25 {
26 "description": "Replace all records",
27 "id": "snapshot",
28 "label": "Replace",
29 "requires_identity": false,
30 "supports_field_sync_mode": false,
31 "supports_target_filters": false
32 }
33 ],
34 "supported_resync_modes": [
35 "refetch"
36 ]
37 }
38}
Describes the destination configuration schema a connection accepts when used as a bulk sync destination. The response is a JSON Schema object describing the shape of the `destination_configuration` field you must supply when [creating](../../../../../api-reference/bulk-sync/create) or [updating](../../../../../api-reference/bulk-sync/update) a bulk sync that uses this connection as its destination. Required fields vary by connection type. > 📘 Fetch this endpoint once per connection type rather than once per sync. > The configuration schema is the same for all syncs sharing the same > destination connection.
Was this page helpful?
Previous

List Bulk Sync Execution Status

Next

Describes the destination configuration schema a connection accepts when used as a bulk sync destination.

The response is a JSON Schema object describing the shape of the destination_configuration field you must supply when creating or updating a bulk sync that uses this connection as its destination. Required fields vary by connection type.

📘 Fetch this endpoint once per connection type rather than once per sync. The configuration schema is the same for all syncs sharing the same destination connection.

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Polytomic-VersionstringRequired

Response

OK
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error